Bug 100390 - FILESAVE: OOXML export of cloud shape leaves cloud partially unfilled
Summary: FILESAVE: OOXML export of cloud shape leaves cloud partially unfilled
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: filters and storage (show other bugs)
Version:
(earliest affected)
5.1.3.2 release
Hardware: All All
: medium normal
Assignee: Regina Henschel
URL:
Whiteboard: target:7.4.0
Keywords: filter:docx, filter:pptx, filter:xlsx
Depends on:
Blocks: DOCX PPTX XLSX Shape-ODF-OOXML-export
  Show dependency treegraph
 
Reported: 2016-06-15 08:04 UTC by mail
Modified: 2022-03-25 22:49 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
LO presentation with cloud shape, is incorrectly exported to pptx format (13.46 KB, application/vnd.oasis.opendocument.presentation)
2016-06-15 08:04 UTC, mail
Details
Writer has same problem exporting image to docx format (10.90 KB, application/vnd.oasis.opendocument.text)
2016-12-08 23:22 UTC, Luke
Details
Powerpoint Exported Correctly (43.23 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2018-04-28 17:06 UTC, Luke
Details

Note You need to log in before you can comment on or make changes to this bug.
Description mail 2016-06-15 08:04:13 UTC
Created attachment 125662 [details]
LO presentation with cloud shape, is incorrectly exported to pptx format

When saving a slide with a cloud shape in pptx format, the cloud is not filled completely. Opening the pptx presentation in LO shows the same behaviour.

Exporting to ppt format and opening in Powerpoint works flawlessly.

Tested with Powerpoint 2010.
Comment 1 Buovjaga 2016-06-15 11:23:40 UTC
I confirmed in the original bug 100349

Win 8.1 32-bit
MSO2013
LibO Version: 5.3.0.0.alpha0+
Build ID: bb6acbd0c3e8240c976ed62e04275ec67fa5a61d
CPU Threads: 4; OS Version: Windows 6.29; UI Render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2016-06-11_00:27:38
Locale: fi-FI (fi_FI)
Comment 2 Luke 2016-12-08 23:22:26 UTC
Created attachment 129412 [details]
Writer has same problem exporting image to docx format

Not Impress specific bug. Seems to affect all applications.
Comment 3 Luke 2018-04-28 17:06:19 UTC
Created attachment 141743 [details]
Powerpoint Exported Correctly

Roundtripping this file will also reproduce this bug. Still a problem in Version: 6.1.0.0.alpha1+ (x64) Build ID: a3783c0af4bd21eb9c001aadc60c660c06a47779
Comment 4 Luke 2018-04-28 17:12:50 UTC
See Bug 87448 and http://vmiklos.hu/blog/cloud.html for the import version of this bug.
Comment 5 QA Administrators 2019-04-29 02:40:59 UTC Comment hidden (obsolete)
Comment 6 Luke 2019-04-29 21:01:04 UTC Comment hidden (obsolete)
Comment 7 Bartosz 2019-08-29 04:59:15 UTC
Review with patch proposal
https://gerrit.libreoffice.org/#/c/78247/
(still I need to add some test cases
Comment 8 Xisco Faulí 2019-12-03 10:29:41 UTC
Dear Bartosz,
This bug has been in ASSIGNED status for more than 3 months without any
activity. Resetting it to NEW.
Please assign it back to yourself if you're still working on this.
Comment 9 Stéphane Guillou (stragu) 2021-06-08 14:21:45 UTC
Reproducible in:

Version: 7.2.0.0.alpha1+ / LibreOffice Community
Build ID: 399a6472f666ae6c3e20b6f8367f9fd089c15605
CPU threads: 4; OS: Linux 5.4; UI render: default; VCL: gtk3
Locale: en-AU (en_AU.UTF-8); UI: en-US
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2021-06-05_17:38:40
Calc: threaded
Comment 10 Regina Henschel 2022-03-19 23:22:51 UTC
This overlaps with my work on bug 147978.
Comment 11 Adolfo Jayme Barrientos 2022-03-25 13:14:59 UTC
Commit 2029b2f6dd0109c5892e5ac5640022b31fe42fd2 has been pushed to trunk, to be released as 7.4.x.